"""
@author: luojunhui
"""
import jieba
from quart import Quart
from applications.routes import video_score_blueprint
from applications.model_init import Models

# 初始化 App
app = Quart(__name__)

# 注册蓝图
app.register_blueprint(video_score_blueprint)


@app.before_serving
async def before_serving():
    """
    在服务器正式开始接受请求之前加载模型
    :return: None
    """
    Models()


@app.before_serving
async def preload_jieba():
    """
    异步预加载jieba词典
    :return:
    """
    jieba.initialize()
    print("jieba 缓存加载完成")


if __name__ == '__main__':
    app.run(debug=True)
